Name:       nodejs-ronn
Version:    0.3.8
Release:    1%{?dist}
Summary:    markdown to roff/html converter
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/kapouer/ronnjs
Source0:    http://registry.npmjs.org/ronn/-/ronn-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs
Requires:       nodejs-opts

%description
Javascript port of ronn, using markdown-js to produce roff man pages. Not fully
compatible with ronn, although it aims to be, wherever possible.

%prep
%setup -q -n package

%nodejs_fixshebang bin/ronn.js

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/ronn
cp -pr bin lib .npmignore package.json %{buildroot}%{nodejs_libdir}/ronn

mkdir -p %{buildroot}%{_bindir}
ln -s ../lib/nodejs/ronn/bin/ronn.js %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/ronn
%{_bindir}/ronn.js
%doc README.md LICENSE CHANGES TODO

%changelog
* Sat Feb 25 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.8-1
- new upstream release 0.3.8

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-2
- add Group to make EL5 happy

* Thu Nov 17 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.7-1
- initial package
